Skip to content

Update card order status

Request

Updates the status of a card order based on its cardOrderId. The status can be updated to one of the following:

  1. CANCELLED
  2. COMPLETED (deprecated)

The behaviour for card order cancellation differs across card order statuses:

  • PLACED: Card order can be cancelled with no further action required.
  • REQUIREMENTS_FULFILLED, CARD_DETAILS_CREATED, PRODUCED: Card order can be cancelled, and its associated card will be blocked. However, the physical card may have already been produced and may be in delivery. If so, the card will still reach the end user's address. This should be communicated to the end user to prevent confusion.
  • COMPLETED, RETURNED: Card orders in these statuses cannot be cancelled.

Updating a card order status to COMPLETED is deprecated. Check with our team whether this is supported in your integration.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Example:123456
cardOrderIdinteger, (int64)required

The card order ID.

Example:142
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
statusstringrequired

The intended new status of the card order:

  • CANCELLED
  • COMPLETED (deprecated)
Enum:"CANCELLED""COMPLETED"
Example:"CANCELLED"
curl -i -X PUT \
  https://api.wise.com/v3/spend/profiles/123456/card-orders/142/status \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "status": "CANCELLED"
  }'

Responses

Accepted - Card order status update has been accepted.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content